%{?nodejs_find_provides_and_requires}

%global packagename browserify-sign
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 4.0.0
Release: 1%{?dist}.3
Summary: adds node crypto signing for browsers
License: ISC
URL: https://github.com/crypto-browserify/browserify-sign#readme
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh
Patch0: nodejs-browserify-sign-ec-test.patch

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(bn.js) >= 4.1.1
BuildRequires: npm(bn.js) < 5.0.0
BuildRequires: npm(browserify-rsa) >= 4.0.0
BuildRequires: npm(browserify-rsa) < 5.0.0
BuildRequires: npm(create-hash) >= 1.1.0
BuildRequires: npm(create-hash) < 2.0.0
BuildRequires: npm(create-hmac) >= 1.1.2
BuildRequires: npm(create-hmac) < 2.0.0
BuildRequires: npm(elliptic) >= 6.0.0
BuildRequires: npm(elliptic) < 7.0.0
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
BuildRequires: npm(parse-asn1) >= 5.0.0
BuildRequires: npm(parse-asn1) < 6.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 3.0.3
%endif

%description
A package to duplicate the functionality of node's crypto public key functions,
much of this is based on Fedor Indutny's work on tls.js.



%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%patch0 -p1
%nodejs_fixdep --dev tape '>=3.0.3'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json *.js ec.param \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test/index.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 4.0.0-1
- Initial package.
